getFitUnlockMethodList(params: GetFitUnlockMethodListParams)
Requires:
@ray-js/lock-sdk≥1.2.0
Description
Get the list of unlock methods of the specified type for the accessory.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Yes | List query params (type required, lockDevId optional) |
Return Value
Type: Promise<FitUnlockMethodItem[]>
Parsed unlock-method list (sensitive fields such as passWord have been stripped)
FitUnlockMethodItem
| Property | Type | Description |
|---|---|---|
id | number | Cloud unlock-method record ID (from `unlockBindingId`) |
unlockId | number | Lock-side unlock instance ID |
unlockName | string | Unlock method name |
photoUnlock | boolean | Whether an image-based unlock method |
isSpecial | boolean | Whether it is a special unlock method (not supported on the accessory edition, fixed to false) |
type | "finger" | "face" | "password" | "card" | "fingerVein" | "hand" | "eye" | Unlock method type, consistent with the input parameter |
userName | string | Username the password belongs to |
lockUserId | number | User's lock-side user ID |
userType | number | User type |
| List of lock devices that can be unlocked |
Error Code
| Error Code | Error Message |
|---|---|
1014 | The current device does not support this type or lacks the corresponding DP ID |
Referenced Types
interface
FitUnlockMethodDevice| Property | Type | Description |
|---|---|---|
devId | string | Door lock device ID |
devName | string | Door lock device name |
Valid Values
GetFitUnlockMethodListParams.type
| Value | Description | Since |
|---|---|---|
finger | - | - |
face | - | - |
password | - | - |
card | - | - |
fingerVein | - | - |
hand | - | - |
eye | - | - |
return.type
| Value | Description | Since |
|---|---|---|
finger | - | - |
face | - | - |
password | - | - |
card | - | - |
fingerVein | - | - |
hand | - | - |
eye | - | - |